<?php
// Sāk sesiju
session_start();

// Datubāzes savienojums
$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Izveido savienojumu
$conn = new mysqli($servername, $username, $password, $database);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Savienojums neizdevās: " . $conn->connect_error);
}

// Pārbauda, vai ir nodrošināts postid parametrs
if(isset($_GET['postid'])) {
    // Izgūst autorid no sesijas
    if(isset($_SESSION['autorid'])) {
        $autorid = $_SESSION['autorid'];
    } else {
        // Atgriež kļūdas ziņojumu, ja autorid nav iestatīts sesijā
        echo json_encode(['success' => false, 'message' => 'Autorid nav iestatīts sesijā']);
        exit(); // Pārtrauc skripta izpildi
    }

    // Sankcionē ievadīto, lai novērstu SQL injekcijas
    $postid = $conn->real_escape_string($_GET['postid']);

    // Pārbauda, vai ieraksts jau ir saglabāts
    $check_sql = "SELECT * FROM pav_gra_saglab WHERE postid_s = '$postid' AND autorid_s = '$autorid'";
    $check_result = $conn->query($check_sql);
    if($check_result->num_rows > 0) {
        // Ieraksts jau ir saglabāts, atgriež kļūdas ziņojumu
        echo json_encode(['success' => false, 'message' => 'Ieraksts jau ir saglabāts!']);
        exit(); // Pārtrauc skripta izpildi
    }

    // Ievieto postid un autorid pav_gra_saglab tabulā
    $insert_sql = "INSERT INTO pav_gra_saglab (postid_s, autorid_s) VALUES ('$postid', '$autorid')";
    if ($conn->query($insert_sql) === TRUE) {
        // Atgriež veiksmes ziņojumu kā JSON atbildi
        echo json_encode(['success' => true]);
    } else {
        // Atgriež kļūdas ziņojumu kā JSON atbildi
        echo json_encode(['success' => false, 'message' => 'Ieraksts jau ir saglabāts! Kļūda, saglabājot ierakstu datu bāzē']);
    }
} else {
    // Atgriež kļūdas ziņojumu, ja postid parametrs ir pazudis
    echo json_encode(['success' => false, 'message' => 'Trūkst postid parametrs']);
}

// Aizver datubāzes savienojumu
$conn->close();
?>